[xiph-commits] r9703 - trunk/vorbis-tools

conrad at svn.xiph.org conrad at svn.xiph.org
Fri Aug 5 22:33:50 PDT 2005


Author: conrad
Date: 2005-08-05 22:33:47 -0700 (Fri, 05 Aug 2005)
New Revision: 9703

Modified:
   trunk/vorbis-tools/autogen.sh
Log:
bring vorbis-tools/autogen.sh in line with that in vorbis:
 + add more verbose output to tool checks
 + add support for differently named libtoolize, eg. glibtoolize on OS X


Modified: trunk/vorbis-tools/autogen.sh
===================================================================
--- trunk/vorbis-tools/autogen.sh	2005-08-05 09:52:02 UTC (rev 9702)
+++ trunk/vorbis-tools/autogen.sh	2005-08-06 05:33:47 UTC (rev 9703)
@@ -11,6 +11,7 @@
 cd "$srcdir"
 DIE=0
 
+echo "checking for autoconf... "
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have autoconf installed to compile $package."
@@ -19,6 +20,7 @@
         DIE=1
 }
 
+echo "checking for automake... "
 (automake --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have automake installed to compile $package."
@@ -28,6 +30,7 @@
         DIE=1
 }
 
+echo "checking for aclocal... "
 (aclocal --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "The aclocal tool was not found. You probably"
@@ -36,7 +39,17 @@
 	echo
 }
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+echo -n "checking for libtool... "
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+  (type $LIBTOOLIZE) > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+  echo "nope."
+  LIBTOOLIZE=libtoolize
+else
+  echo $LIBTOOLIZE
+fi
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have libtool installed to compile $package."
 	echo "Download the appropriate package for your system,"
@@ -45,6 +58,7 @@
 	DIE=1
 }
 
+echo "checking for gettext... "
 (gettext --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have gettext installed to compile $package."
@@ -69,8 +83,8 @@
 aclocal $ACLOCAL_FLAGS || exit 1
 echo "  autoheader"
 autoheader || exit 1
-echo "  libtoolize --automake"
-libtoolize --automake || exit 1
+echo "  $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake || exit 1
 echo "  automake --add-missing $AUTOMAKE_FLAGS"
 automake --add-missing $AUTOMAKE_FLAGS || exit 1
 echo "  autoconf"



More information about the commits mailing list